Resolve and validate a Safe for a chain
curl --request GET \
--url https://{host}/extern/fe/safe/resolve \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/safe/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/safe/resolve"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"status": "validated",
"accountId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"userAddress": "0x1234567890abcdef1234567890abcdef12345678",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": 8453
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Resolve and validate a Safe for a chain
GET
/
extern
/
fe
/
safe
/
resolve
Resolve and validate a Safe for a chain
curl --request GET \
--url https://{host}/extern/fe/safe/resolve \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/safe/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/safe/resolve"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"status": "validated",
"accountId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"userAddress": "0x1234567890abcdef1234567890abcdef12345678",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": 8453
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Authorizations
Account Type publishable key (pk_live_...)
SIWE session JWT issued by POST /auth/verify
Query Parameters
EVM chain ID
Required range:
x >= 1Example:
8453
Last modified on July 24, 2026
Was this page helpful?